Bug 466814 - Include static library?
Include static library?
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gdal (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Balint Cristian
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-13 15:22 EDT by Matt Fago
Modified: 2008-10-24 19:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-24 19:51:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Fago 2008-10-13 15:22:01 EDT
This is an enhancement request:

It would be really great if you could include a static library of gdal. Perhaps as part of the gdal-devel.i386 and gdal-devel.x86_64 packages.

Note this would necessitate static libraries of all of the dependencies as well...

Thanks,
Matt
Comment 1 Patrice Dumas 2008-10-13 16:38:30 EDT
Static libs go into -static package, like gdal-static. 
The dependencies are independent packages, so you'll have to convince
maintainers for all dependencies, and gdal has a lot of them.
It is possible to ship gdal-static, though, and you can link against a 
static gdal while other libs are not static.

Why do you want static libraries?
Comment 2 Matt Fago 2008-10-13 22:02:13 EDT
I work on several codes that link against gdal. It is very difficult to make sure to satisfy all of the required dependencies (as you say, there are very many) when I am not able for other reasons to use a sane installation method (rpm, etc). I would appreciate a static gdal, but it seems that it might be best for me to just compile gdal myself as a static lib.

Thanks,
Matt
Comment 3 Balint Cristian 2008-10-21 06:18:41 EDT
Ok. Lets do it, i'll take the task.

A -static could be usefull for some people, myself hitted the issue.

i will propose here a package, lets see/test how it works and fit to fedora
requirements.
Comment 4 Fedora Update System 2008-10-24 08:46:15 EDT
gdal-1.5.3-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/gdal-1.5.3-1.fc9
Comment 5 Fedora Update System 2008-10-24 19:51:17 EDT
gdal-1.5.3-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.